Jump to content
Gonçalo Pinelo

Upgrade 6.1.0 to 6.1.5

Recommended Posts

Hello, i have a problem to upgrade my store from 6.1.0 to 6.1.5.

I don't know what happens but when i try to update the store, there is no change on version. Still on 6.1.0.

 

Anyone can help me ?

Best regards,

Gonçalo

Share this post


Link to post
Share on other sites

Same here
Tried a hard update (i.e.replace all files and run setup) but setup get's into a loop 
Upgrade in progress. Upgrading from version 6.0.12 to version 6.1.0
bar shows 80% but doesn't complete the installation

Share this post


Link to post
Share on other sites

My experience has me stuck at 80% as well, but I discovered that I can click the Continue button and it will progress one step for each click.

Share this post


Link to post
Share on other sites

Neither of these suggestions work - still stuck at 80%. 

all files are writable
 

PHP 5.4+
5.5.49MySQL 5.5+
InstalledGD Image Library
InstalledSimple XML Parser
InstalledcURL
InstalledZip (ZipArchive)
Edited by Frank Auffret
add info

Share this post


Link to post
Share on other sites

I had issues trying the upgrade via Admin as well. I ended up going into the database History table and editing the most recent upgrade version showing to 6.1.4. It then let me upgrade, although I did have all the mess of admin file/folder plus renamed file/folder confusion.

Share this post


Link to post
Share on other sites

The automatic upgrade is totally unreliable at the moment !  However if you do a manual upgrade and ensue that you copy all files from /admin directory to your renamed admin_xxxxxx directory and copy the admin.php file over the admin_xxxxxx.php file them the upgrade works perfectly 

Share this post


Link to post
Share on other sites

I did a manual upgrade and copied all the new files but the setup still sticks at 80% even if I click the continue button. Seems to get stuck upgrading from 6.0.12 to 6.1.0

Edited to add just checked the history table seems I upgraded to 6.1.0 last October so can't understand why CC is trying to upgrade from 6.0.12 to 6.1.0 if it's already 6.1.0
 

CubeCart Version Date
6.1.0 Wednesday, 26 October 2016
6.1.0 Wednesday, 26 October 2016
6.0.12 Monday, 17 October 2016
6.0.12 Wednesday, 26 October 2016

I tried Force Upgrade which says upgraded to latest version now


Upgrade in progress. Upgrading from version 6.0.12 to version 6.1.0

 

Edited by Frank Auffret
added info

Share this post


Link to post
Share on other sites

I've had installs stall before and I deleted contents of .htaccess file then tried again. Obviously keep copy of .htaccess file and restore afterwards.

Share this post


Link to post
Share on other sites

Could this be anything to do with 6.1 requiring PHP 5.4 ???

Share this post


Link to post
Share on other sites
On 2/28/2017 at 11:25 AM, ayz1 said:

I've had installs stall before and I deleted contents of .htaccess file then tried again. Obviously keep copy of .htaccess file and restore afterwards.

Sorry but don't work...

 

On 2/28/2017 at 11:25 AM, ayz1 said:

I've had installs stall before and I deleted contents of .htaccess file then tried again. Obviously keep copy of .htaccess file and restore afterwards.

 

Share this post


Link to post
Share on other sites

Hello, two more question.

I have develope many things in my store.I assume that i can't extract the file and upgrade ?

To upgrade 6.1.0 to 6.1.5 directly or needs to upgrade step by step to 6.1.5 ?

Best regards

 

Share this post


Link to post
Share on other sites

All the in between upgrade steps are taken care of by CC - but you will probably have to do the upgrade manually this time. There's an issue with recent upgrades that should be fixed in 6.1.6 -

Save all your store files (I FTP mine to my hard drive) and backup your database before attempting the upgrade. Any edits you have made to your code will have to be added back into the upgraded files IF they are still needed.

Share this post


Link to post
Share on other sites

Sorry to be a pain but is there an idiots guide to installing the upgrade from 6.1.1 to the 6.1.5 

My remaining tickets seem to have expired and I have no wish or resources to enter into a technical help contract.

I would appreciate help on a very basic level.

Thanks

Paul

 

Share this post


Link to post
Share on other sites

This thread should be helpful:

As for the CC service contract: You can pay for the month, get them to install, and then cancel, if your install is with stock code. You are not obligated to continue with the contract.

Share this post


Link to post
Share on other sites

Thanks for the reply, still way over my head, if I sign up for the £25 contract will that cover this, and is it worth the upgrade?

Regards,

 

Share this post


Link to post
Share on other sites

Is your install all stock code? As I understand it, CC staff will not tweak any edits you might have made to stock code, so you would still have to put your edits back in. You are the only one who could decide if it's worth it. Hopefully upgrades after this one will no longer get so confusing, and you won't have to be concerned with paying for upgrades.

Share this post


Link to post
Share on other sites

I have made no edits, I wouldn't know how to. I just had the shop installed by the tech people.

All upgrades from purchasing have been by clicking on the automatic reminders, which I have had and unfortunately doesn't work with this new version.

The rate of upgrades seems very frequent and I have no wish to go through this every month or more.

Could I ask again, which of the  two tech choices do I choose lower or higher? if I need the higher I may not bother.

 

Share this post


Link to post
Share on other sites

Lower should be fine. Maybe @Al Brookbanks can clarify whether the upgrade from 6.1.5 to 6.1.6 is back to working properly with the Admin upgrade process. If not, you might want to consider waiting for 6.1.6 to be released and pay the lower price support to get upgraded to 6.1.6.

Share this post


Link to post
Share on other sites

I did find what seems to be the last comment Al made in GitHub about the upgrade process.

Quote

Sadly it won't work for merchants until they upgrade from 6.1.6 to 6.1.7.

 
@abrookbanks

So it would make sense for you to pay for the upgrade to 6.1.6, rather than pay now for upgrading to 6.1.5.

Share this post


Link to post
Share on other sites
1 hour ago, Dirty Butter said:

I did find what seems to be the last comment Al made in GitHub about the upgrade process.

So it would make sense for you to pay for the upgrade to 6.1.6, rather than pay now for upgrading to 6.1.5.

I shall do that when it becomes available,

Thanks.

Share this post


Link to post
Share on other sites
1 hour ago, Dirty Butter said:

So it would make sense for you to pay for the upgrade to 6.1.6, rather than pay now for upgrading to 6.1.5.

Except that 6.1.2 and 6.1.4 both contain fixes to pretty serious security issues.  Anyone on any version less than 6.1.5 is vulnerable to these issues

Share this post


Link to post
Share on other sites

@havenswift-hosting

I stand corrected then.

Would this change make it possible for a normal via Admin upgrade?

On 2/27/2017 at 8:35 AM, Dirty Butter said:

Try renaming your maintenance.index.inc.php file and replacing it with the 6.1.5 version of the file. Then try the upgrade.

 

Share this post


Link to post
Share on other sites

I dont believe so as a fix for upgrade issues has been added to the future release 6.1.6 code that fixes issues, hence why Al said that it wont be until upgrades from at least 6.1.6 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×